//
//  BoosterStatsView.swift
//
//
//  Created by Victor on 15/07/2024.
//

import SwiftUI

struct BoosterStatsView: View {
    
    var body: some View {
        VStack(spacing: 8) {
            HStack(alignment: .top, spacing: 8) {
                VStack {
                    HStack(spacing: 0) {
                        SQText("x", size: 24, font: .bold)
                        SQText("3", size: 32, font: .bold)
                    }
                    SQText("Demandes privées*", size: 14, font: .demiBold)
                        .lineLimit(2)
                        .multilineTextAlignment(.center)
                }
                .frame(minWidth: 100, maxWidth: .infinity)
                Divider()
                    .overlay {
                        Color.sqRoyal()
                    }
                    .frame(height: 72)
                VStack {
                    HStack(spacing: 0) {
                        SQText("x", size: 24, font: .bold)
                        SQText("3", size: 32, font: .bold)
                    }
                    SQText("Évaluations*", size: 14, font: .demiBold)
                        .lineLimit(2)
                        .multilineTextAlignment(.center)
                }
                .frame(minWidth: 100, maxWidth: .infinity)
                Divider()
                    .overlay {
                        Color.sqRoyal()
                    }
                    .frame(height: 72)
                VStack {
                    HStack(spacing: 0) {
                        SQText("x", size: 24, font: .bold)
                        SQText("2.9", size: 32, font: .bold)
                    }
                    SQText("Mise en favori*", size: 14, font: .demiBold)
                        .lineLimit(2)
                        .multilineTextAlignment(.center)
                }
                .frame(minWidth: 100, maxWidth: .infinity)
            }
            .foregroundColor(.sqRoyal())
            SQText("*Performances moyennes obtenues par les profils boostés, par rapport aux Abonnés Premier.", size: 11, font: .medium)
                .lineLimit(2)
        }
        .foregroundColor(.sqRoyal())
    }
}

#Preview {
    BoosterStatsView()
        .padding([.leading, .trailing], 16)
}
